Set Ready for Shipment

SetStatusToReadyToShip. Change the order status from pending to ready to ship.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Important

  • Remember that this action is not allowed when the ShipmenType is Fulfillment, meaning when Falabella manages the merchant's inventory.
  • When you mark a product as Ready to Ship, the status of all products associated with the order will be updat

The response fields provided by this API are detailed in the following table:

Field NameTypeDescription
PurchaseOrderIdUnsignedIdentification in Falabella Seller Center
PurchaseOrderNumberStringOrder number in Falabella Seller Center

Errors

Error CodeMessageExplanation
20E020: "%s" Invalid Order Item IDInvalid order item ID
21E021: OMS Api Error OccurredAn error occurred in the OMS API
23E023: "%s" Invalid Order Item IDsInvalid order item IDs
24E024: "%s" Invalid Delivery TypeInvalid delivery type
25E025: "%s" Invalid Shipping ProviderInvalid shipping provider
26E026: "%s" Invalid Tracking NumberInvalid tracking number
29E029: Order items must be from the same orderOrder items must be from the same order
31E031: Tracking ID incorrect. Example tracking ID: "%s"The tracking ID is incorrect. Example tracking ID: "%s"
73E073: All order items must have status Pending or Ready To Ship. (%s)All order items must have the status Pending or Ready to Ship. (%s)
63E063: The tracking code %s has already been usedThe tracking code %s has already been used
91E091: You are not allowed to set the shipment provider and tracking number and the delivery type is wrong. Please use send_to_warehouseYou are not allowed to set the shipping provider and tracking number, and the delivery type is incorrect. Please use send_to_warehouse
94E094: Serial numbers specified incorrectlySerial numbers were not specified according to one of the accepted formats for the SerialNumber parameter
95E095: Invalid serial number format (%s)Serial numbers must be between 1 and 26 characters; only Latin letters and digits are allowed
96E096: Duplicate serial number among order items (%s)Two or more order items would share a serial number
119E119: Some order items are not yet ready to be processed, please try again later. (%s).One or more order items are not fully processed by Falabella Seller Center, so they cannot be processed yet
121E121: Invalid Packing IDInvalid packing ID
Body Params
string
required
Defaults to setstatustoreadytoship

Name of the function to be called. Required and must be 'GetBrands' in this case. If omitted, an error 'E001: Parameter Action is mandatory' is returned. If an unknown function string is provided, an error message 'E008: Invalid Action' is returned.

string
required
Defaults to XML

If provided, it must be 'JSON' or 'XML'. If not provided, 'XML' is assumed.

date
required

The current time in ISO8601 format relative to UTC (e.g., Timestamp = 2015-04-01T10:00:00+02:00 for Berlin), so that calls cannot be replayed by a third party intercepting them (i.e., calls too far in the past or future will produce an error message). Required. If not provided, the error message 'E001: Parameter Timestamp is mandatory' appears. If the timestamp is too old or in the future, an error message "E003: Timestamp has expired" is returned.

string
required

The ID of the user making the call. The list of authorized users is maintained in the Seller Center web interface under General Settings / Manage Users.

string
required

The API version against which this call will be executed, in major-dot-minor format. It must currently be 1.0, although the actual API version is 2.6.20. If omitted, an error message "E001: Parameter Version is mandatory" is returned.

string
required

The cryptographic signature that authenticates the request. A caller must create this value by calculating the SHA256 hash of the request, using the API key of the user specified in the UserID parameter. Required. If omitted, an error message "E001: Parameter Signature is mandatory" is returned. If the signature is incorrect, an 'E007: Login failed' error message for signature mismatch is returned.

OrderItemIds
array of int32s
required

List of order items to be marked as ready for shipping. Comma-separated list enclosed in brackets. Required. GetOrderItems

OrderItemIds*
string
required

The current package ID must be provided after passing SetStatusToPackedByMarketplace.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
LoadingLoading…
Response
Choose an example:
application/xml
application/json